manage.css 17 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085
  1. :root {
  2. --header-width: 280px;
  3. --checkbox-width: 24px;
  4. --name-padding-left: 40px;
  5. --name-padding-right: 40px;
  6. --actions-width: 75px;
  7. --onoffswitch-width: 60px;
  8. }
  9. body {
  10. margin: 0;
  11. font: 12px arial, sans-serif;
  12. /* Firefox: fill the entire page for drag'n'drop to work */
  13. display: flex;
  14. height: 100%;
  15. }
  16. body.all-styles-hidden-by-filters:before,
  17. body.all-styles-hidden-by-filters:after {
  18. position: absolute;
  19. left: calc(3rem + var(--header-width));
  20. color: hsla(180, 40%, 45%, .3);
  21. animation: fadein 3s;
  22. }
  23. body.all-styles-hidden-by-filters:before {
  24. content: "\2190"; /* left arrow */
  25. font-size: 3rem;
  26. top: 3.5rem;
  27. }
  28. body.all-styles-hidden-by-filters:after {
  29. font-size: 1.5rem;
  30. position: absolute;
  31. top: 3rem;
  32. }
  33. a, .disabled a:hover {
  34. color: #000;
  35. transition: color .5s;
  36. text-decoration-skip: ink;
  37. }
  38. a:hover {
  39. color: #666;
  40. }
  41. select {
  42. font-size: 12px;
  43. }
  44. .nowrap {
  45. white-space: nowrap;
  46. }
  47. .nowrap > * {
  48. white-space: nowrap;
  49. overflow-x: hidden;
  50. text-overflow: ellipsis;
  51. }
  52. #header {
  53. width: var(--header-width);
  54. height: 100vh;
  55. position: fixed;
  56. top: 0;
  57. padding: 15px;
  58. border-right: 1px dashed #AAA;
  59. -webkit-box-shadow: 0 0 50px -18px black;
  60. box-shadow: 0 0 50px -18px black;
  61. overflow: auto;
  62. box-sizing: border-box;
  63. z-index: 9;
  64. }
  65. #check-all-updates {
  66. max-width: 220px;
  67. }
  68. #header h1 {
  69. margin-top: 0;
  70. margin-bottom: .3em;
  71. }
  72. #header a[href^="edit"] {
  73. text-decoration: none;
  74. margin-right: 8px;
  75. }
  76. #add-style-wrapper {
  77. display: flex;
  78. align-items: center;
  79. padding-bottom: 1.5em;
  80. }
  81. #add-style-as-usercss-wrapper {
  82. display: inline-flex;
  83. margin-top: 3px;
  84. }
  85. #add-style-as-usercss-wrapper:not(:hover) input:not(:checked) ~ a svg {
  86. fill: #aaa;
  87. }
  88. #add-style-as-usercss-wrapper #usercss-wiki {
  89. position: absolute;
  90. right: -20px;
  91. top: -3px;
  92. }
  93. #installed {
  94. position: relative;
  95. padding-left: var(--header-width);
  96. box-sizing: border-box;
  97. width: 100%;
  98. }
  99. .entry {
  100. margin: 0;
  101. padding: 1.25em 2em;
  102. border-top: 1px solid #ddd;
  103. }
  104. .entry:first-child {
  105. border-top: none;
  106. }
  107. .svg-icon {
  108. cursor: pointer;
  109. vertical-align: middle;
  110. transition: fill .5s;
  111. width: 20px;
  112. height: 20px;
  113. fill: #666;
  114. }
  115. .svg-icon:hover {
  116. fill: #000;
  117. }
  118. .svg-icon.info {
  119. width: 14px;
  120. height: 16px;
  121. margin-left: .5ex;
  122. }
  123. .svg-icon.config {
  124. width: 16px;
  125. height: 16px;
  126. }
  127. .homepage {
  128. margin-left: 0.1em;
  129. margin-right: 0.1em;
  130. }
  131. .homepage[href=""] {
  132. display: none;
  133. }
  134. .homepage .svg-icon {
  135. margin-top: -4px;
  136. margin-left: .5ex;
  137. }
  138. .style-name {
  139. margin-top: .25em;
  140. overflow-wrap: break-word;
  141. }
  142. .style-name a, .style-edit-link {
  143. text-decoration: none;
  144. }
  145. .applies-to {
  146. overflow-wrap: break-word;
  147. }
  148. .applies-to,
  149. .actions {
  150. padding-left: 15px;
  151. margin-bottom: 0;
  152. }
  153. .actions {
  154. display: flex;
  155. flex-wrap: wrap;
  156. align-items: center;
  157. }
  158. .actions > * {
  159. margin-bottom: .25rem;
  160. }
  161. .actions > *:not(:last-child) {
  162. margin-right: .25rem;
  163. }
  164. .applies-to label {
  165. margin-right: .5ex;
  166. }
  167. .applies-to .target:hover {
  168. background-color: rgba(128, 128, 128, .15);
  169. }
  170. .applies-to-extra:not([open]) {
  171. display: inline;
  172. margin-left: 1ex;
  173. }
  174. .applies-to-extra-expander {
  175. font-weight: bold;
  176. cursor: pointer;
  177. outline: none;
  178. }
  179. .applies-to-extra-expander {
  180. list-style-type: none; /* for FF, allegedly */
  181. }
  182. .applies-to-extra-expander::-webkit-details-marker {
  183. display: none;
  184. }
  185. .disabled h2::after, .entry.usercss .style-name-link::after {
  186. font-weight: normal;
  187. font-size: 11px;
  188. text-transform: lowercase;
  189. background: rgba(128, 128, 128, .2);
  190. padding: 2px 5px 3px;
  191. border-radius: 4px;
  192. margin-left: 1ex;
  193. }
  194. .entry.usercss .style-name-link::after {
  195. content: "usercss";
  196. background-color: hsla(180, 100%, 20%, 1);
  197. color: white;
  198. }
  199. .disabled h2 .style-name-link,
  200. .disabled h2::after,
  201. .disabled .actions,
  202. .disabled .applies-to {
  203. opacity: 0.6;
  204. font-weight: normal;
  205. transition: opacity .5s .1s;
  206. }
  207. .disabled:hover .actions {
  208. opacity: 1;
  209. }
  210. .disabled .disable {
  211. display: none;
  212. }
  213. .enabled .enable {
  214. display: none;
  215. }
  216. /* collapsibles */
  217. #header details:not(#filters) {
  218. padding-bottom: .7em;
  219. }
  220. #add-style-wrapper,
  221. #options :last-child,
  222. #backup :last-child {
  223. margin-bottom: 0;
  224. }
  225. #header details:not([open]),
  226. #header details:not([open]) h2 {
  227. padding-bottom: 0;
  228. }
  229. #header details[open] summary {
  230. padding-bottom: .5em;
  231. }
  232. #header summary {
  233. align-items: center;
  234. margin-left: -13px;
  235. cursor: pointer;
  236. outline: none;
  237. }
  238. #header summary h2 {
  239. display: inline-block;
  240. border-bottom: 1px dotted transparent;
  241. margin-top: .1em;
  242. margin-bottom: .1em;
  243. }
  244. #header summary:hover h2 {
  245. border-color: #bbb;
  246. }
  247. /* compact layout */
  248. .newUI #installed {
  249. display: table;
  250. margin-top: .75rem;
  251. margin-bottom: .75rem;
  252. }
  253. .newUI .disabled {
  254. opacity: 1;
  255. }
  256. .newUI .entry {
  257. display: table-row;
  258. }
  259. .newUI .entry:nth-child(2n) {
  260. background-color: rgba(128, 128, 128, 0.05);
  261. }
  262. .newUI .entry > * {
  263. padding: .9rem 0 1rem;
  264. margin: 0;
  265. display: table-cell;
  266. vertical-align: middle;
  267. }
  268. /************ checkbox & select************/
  269. .newUI .checker {
  270. margin: 0;
  271. }
  272. #newUIoptions > div {
  273. margin: 4px 0;
  274. }
  275. .filter-selection {
  276. position: relative;
  277. left: -9px;
  278. }
  279. #header label {
  280. padding-left: 16px;
  281. position: relative;
  282. }
  283. #header .filter-selection label {
  284. display: flex;
  285. align-items: center;
  286. height: 18px;
  287. width: 100%;
  288. padding: 0 0 0 4px;
  289. }
  290. #header .filter-selection label .checkmate {
  291. vertical-align: middle;
  292. margin-top: -2px;
  293. }
  294. .newUI #newUIoptions > label {
  295. padding-left: 0;
  296. }
  297. .filter-selection select {
  298. height: 18px;
  299. outline: none;
  300. border: none;
  301. max-width: 100%;
  302. padding-left: 4px;
  303. padding-right: 14px;
  304. margin-left: 4px;
  305. }
  306. .filter-selection .select-arrow {
  307. margin-top: 2px;
  308. top: 0;
  309. right: 0;
  310. }
  311. .select-resizer {
  312. cursor: default;
  313. border: none;
  314. max-width: calc(100% - 2em);
  315. position: absolute;
  316. top: 0;
  317. left: 16px;
  318. }
  319. #filters label,
  320. #filters .filter-selection {
  321. transition: background-color .25s;
  322. }
  323. #filters label:hover,
  324. #filters .filter-selection:hover {
  325. background-color: hsla(0, 0%, 50%, .2);
  326. }
  327. #only-updates {
  328. position: relative;
  329. left: -5px;
  330. margin-top: 2px;
  331. margin-bottom: 2px;
  332. }
  333. .checkmate {
  334. position: relative;
  335. height: 12px;
  336. width: 12px;
  337. display: inline-flex;
  338. }
  339. .entry .checkmate {
  340. vertical-align: middle;
  341. margin: -2px 1ex 0 0;
  342. }
  343. .newUI .entry .svg-icon.checked,
  344. .newUI .entry:hover .svg-icon.checked {
  345. fill: #000;
  346. }
  347. .newUI .entry input[type="checkbox"]:not(.slider) {
  348. pointer-events: all;
  349. }
  350. .newUI .style-name {
  351. font-size: 14px;
  352. font-family: sans-serif;
  353. text-indent: calc(var(--checkbox-width) - var(--name-padding-left) - 4px);
  354. padding-left: var(--name-padding-left);
  355. padding-right: var(--name-padding-right);
  356. position: relative;
  357. cursor: pointer;
  358. }
  359. .newUI .entry .style-name:hover::before {
  360. content: "";
  361. position: absolute;
  362. top: 0;
  363. left: 0;
  364. right: 0;
  365. bottom: 0;
  366. background: linear-gradient(to right, hsla(180, 50%, 30%, 0.2), hsla(180, 20%, 10%, 0.05) 50%, transparent);
  367. pointer-events: none;
  368. }
  369. .newUI .entry.enabled .style-name:hover .style-name-link {
  370. color: hsla(180, 100%, 15%, 1);
  371. }
  372. .newUI .homepage .svg-icon {
  373. position: absolute;
  374. margin-top: 0;
  375. margin-left: -28px;
  376. }
  377. .newUI .actions {
  378. width: var(--actions-width);
  379. height: 20px;
  380. white-space: nowrap;
  381. }
  382. .newUI .actions > * {
  383. margin: 0;
  384. }
  385. .newUI .actions .svg-icon {
  386. margin-right: 8px;
  387. }
  388. .newUI .updater-icons > * {
  389. transition: opacity 1s;
  390. display: none;
  391. }
  392. .newUI .entry .svg-icon {
  393. fill: #999;
  394. }
  395. .newUI .entry:hover .svg-icon {
  396. fill: #666;
  397. }
  398. .newUI .entry:hover .svg-icon:hover {
  399. fill: #000;
  400. }
  401. .newUI .checking-update .check-update {
  402. opacity: 0;
  403. display: inline;
  404. pointer-events: none;
  405. }
  406. .newUI .can-update .update,
  407. .newUI .no-update:not(.update-problem):not(.update-done) .up-to-date,
  408. .newUI .no-update.update-problem .check-update,
  409. .newUI .update-done .updated {
  410. display: inline;
  411. }
  412. .newUI .up-to-date svg,
  413. .newUI .updated svg {
  414. cursor: auto;
  415. }
  416. .newUI .update-done .updated svg {
  417. top: -4px;
  418. position: relative;
  419. /* unprefixed since Chrome 53 */
  420. -webkit-filter: drop-shadow(0 4px 0 currentColor);
  421. filter: drop-shadow(0 5px 0 currentColor);
  422. }
  423. .newUI .can-update .update,
  424. .newUI .no-update.update-problem .check-update {
  425. cursor: pointer;
  426. }
  427. .newUI .can-update[data-details$="locally edited"] .update svg,
  428. .newUI .update-problem .check-update svg {
  429. fill: #ef6969;
  430. }
  431. .newUI .can-update[data-details$="locally edited"]:hover .update svg,
  432. .newUI .entry.update-problem:hover .check-update svg {
  433. fill: #fd4040;
  434. }
  435. .newUI .can-update[data-details$="locally edited"]:hover .update svg:hover,
  436. .newUI .entry.update-problem:hover .check-update svg:hover {
  437. fill: red;
  438. }
  439. .newUI .updater-icons > :not(.check-update):after {
  440. content: attr(title);
  441. position: absolute;
  442. margin-top: 18px;
  443. margin-left: -36px;
  444. padding: 1ex 1.5ex;
  445. border: 1px solid #ded597;
  446. background-color: #fffbd6;
  447. border-radius: 4px;
  448. box-shadow: 2px 3px 10px rgba(0,0,0,.25);
  449. font-size: 90%;
  450. animation: fadeout 10s;
  451. animation-fill-mode: both;
  452. z-index: 999;
  453. }
  454. .newUI .update-problem .check-update:after {
  455. background-color: red;
  456. border: 1px solid #d40000;
  457. color: white;
  458. animation: none;
  459. }
  460. .newUI .can-update .update:after {
  461. animation: none;
  462. }
  463. .newUI .can-update:not([data-details$="locally edited"]) .update:after {
  464. background-color: #c0fff0;
  465. border: 1px solid #89cac9;
  466. }
  467. .newUI .applies-to {
  468. padding-top: .25rem;
  469. padding-bottom: .25rem;
  470. }
  471. .newUI .targets {
  472. overflow: hidden;
  473. }
  474. .newUI .applies-to.expanded .targets {
  475. max-height: none;
  476. }
  477. .newUI .target {
  478. display: block;
  479. overflow: hidden;
  480. text-overflow: ellipsis;
  481. white-space: nowrap;
  482. max-width: calc(100vw - var(--header-width) - var(--actions-width) - var(--name-padding-left) - 25vw - var(--name-padding-right));
  483. box-sizing: border-box;
  484. padding-right: 1rem;
  485. line-height: 18px;
  486. }
  487. .newUI .applies-to .expander {
  488. margin: 0;
  489. cursor: pointer;
  490. font-size: 3ex;
  491. line-height: .5ex;
  492. vertical-align: super;
  493. letter-spacing: .1ex;
  494. }
  495. .newUI .applies-to:not(.has-more) .expander {
  496. display: none;
  497. }
  498. .newUI .has-favicons .applies-to .expander {
  499. padding-left: 20px;
  500. }
  501. .newUI .target:hover {
  502. background-color: inherit;
  503. }
  504. .newUI .target img {
  505. width: 16px;
  506. height: 16px;
  507. vertical-align: sub;
  508. margin-left: -20px;
  509. margin-right: 4px;
  510. transition: opacity .5s, filter .5s;
  511. /* unprefixed since Chrome 53 */
  512. -webkit-filter: grayscale(1);
  513. filter: grayscale(1);
  514. /* workaround for the buggy CSS filter: images in the hidden overflow are shown on Mac */
  515. backface-visibility: hidden;
  516. opacity: .25;
  517. display: none;
  518. }
  519. .newUI .has-favicons .target {
  520. padding-left: 20px;
  521. }
  522. .newUI .has-favicons .target img[src] {
  523. display: inline;
  524. }
  525. .newUI .entry:hover .target img {
  526. opacity: 1;
  527. /* unprefixed since Chrome 53 */
  528. -webkit-filter: grayscale(0);
  529. filter: grayscale(0);
  530. }
  531. #newUIoptions {
  532. display: none;
  533. }
  534. .newUI #newUIoptions {
  535. display: initial;
  536. }
  537. #newUIoptions > * {
  538. display: flex;
  539. align-items: center;
  540. margin-bottom: auto;
  541. flex-wrap: wrap;
  542. position: relative;
  543. }
  544. #newUIoptions input[type="number"] {
  545. width: 3em;
  546. margin-right: .5em;
  547. }
  548. #newUIoptions [data-toggle-on-click] {
  549. transform: rotate(-90deg);
  550. cursor: pointer;
  551. right: -16px;
  552. top: 0;
  553. pointer-events: auto;
  554. }
  555. #newUIoptions [data-toggle-on-click][open] {
  556. transform: none;
  557. }
  558. input[id^="manage.newUI"] {
  559. margin-left: 0;
  560. }
  561. #faviconsHelp {
  562. overflow-y: auto;
  563. font-size: 90%;
  564. padding: 1ex 0 2ex 16px;
  565. }
  566. #faviconsHelp div {
  567. display: flex;
  568. align-items: center;
  569. margin-top: 1ex;
  570. }
  571. /* Default, no update buttons */
  572. .update,
  573. .check-update {
  574. display: none;
  575. }
  576. /* Check update button for things that can*/
  577. .updatable .check-update {
  578. display: inline;
  579. }
  580. /* Update check in progress */
  581. .checking-update .check-update {
  582. display: none;
  583. }
  584. /* Updates available */
  585. .can-update .update {
  586. display: inline;
  587. }
  588. .can-update[data-details$="locally edited"] button.update:after {
  589. content: "*";
  590. }
  591. .can-update .check-update {
  592. display: none;
  593. }
  594. /* Updates not available */
  595. .no-update:not(.update-problem) .check-update {
  596. display: none;
  597. }
  598. /* Updates done */
  599. .update-done .check-update {
  600. display: none;
  601. }
  602. #apply-all-updates:after {
  603. content: " (" attr(data-value) ")";
  604. }
  605. .update-in-progress #check-all-updates {
  606. position: relative;
  607. }
  608. .update-in-progress #update-progress {
  609. position: absolute;
  610. top: 0;
  611. left: 0;
  612. bottom: 0;
  613. background-color: currentColor;
  614. content: "";
  615. opacity: .35;
  616. }
  617. #check-all-updates-force {
  618. margin-top: 1ex;
  619. }
  620. /* highlight updated/added styles */
  621. .highlight {
  622. animation: highlight 10s cubic-bezier(0,.82,.47,.98);
  623. }
  624. .highlight-quick {
  625. animation: highlight .5s;
  626. }
  627. @keyframes highlight {
  628. from {
  629. background-color: rgba(128, 128, 128, .5);
  630. }
  631. to {
  632. background-color: none;
  633. }
  634. }
  635. .hidden {
  636. display: none !important;
  637. }
  638. #filters label {
  639. display: flex;
  640. align-items: center;
  641. padding-left: 20px;
  642. }
  643. #filters label input[type="checkbox"]:not(.slider),
  644. #filters label input[type="checkbox"]:not(.slider):checked + .svg-icon.checked{
  645. left: 4px;
  646. }
  647. #filters {
  648. border: 1px solid transparent;
  649. }
  650. #filters summary h2 {
  651. margin-left: -4px;
  652. }
  653. .active #filters-stats {
  654. background-color: darkcyan;
  655. border-color: darkcyan;
  656. color: white;
  657. font-size: 0.7rem;
  658. font-weight: normal;
  659. padding: 2px 5px;
  660. position: relative;
  661. top: -2px;
  662. }
  663. #reset-filters {
  664. position: absolute;
  665. margin-top: 2px;
  666. fill: hsla(180, 50%, 27%, .5);
  667. width: 24px; /* widen the click area a bit */
  668. height: 20px;
  669. padding: 2px;
  670. box-sizing: border-box;
  671. }
  672. #reset-filters:hover {
  673. fill: hsla(180, 50%, 27%, 1);
  674. }
  675. #filters summary:not(.active) #reset-filters,
  676. #filters summary:not(.active) #filters-stats {
  677. display: none;
  678. }
  679. #search-wrapper {
  680. display: flex;
  681. align-items: center;
  682. flex-wrap: wrap;
  683. }
  684. #search {
  685. flex-grow: 1;
  686. margin: 0.25rem 0 0;
  687. background: #fff;
  688. height: 20px;
  689. box-sizing: border-box;
  690. padding: 3px 3px 3px 4px;
  691. font: 400 12px Arial;
  692. color: #000;
  693. border: 1px solid hsl(0, 0%, 66%);
  694. border-radius: 0.25rem;
  695. }
  696. #search-wrapper .info {
  697. margin: 4px -5px 0 8px;
  698. }
  699. #message-box.help-text > div {
  700. max-width: 26rem;
  701. }
  702. .help-text li:not(:last-child) {
  703. margin-bottom: 1em;
  704. }
  705. .help-text mark {
  706. background-color: rgba(128, 128, 128, .15);
  707. color: currentColor;
  708. padding: 2px 6px;
  709. font-weight: bold;
  710. font-family: monospace;
  711. border: 1px solid rgba(128, 128, 128, .25);
  712. display: inline-block;
  713. margin: 2px;
  714. }
  715. .help-text mark.last {
  716. display: block;
  717. width: -moz-min-content;
  718. width: min-content;
  719. white-space: nowrap;
  720. }
  721. #import ul {
  722. margin-left: 0;
  723. padding-left: 0;
  724. list-style: none;
  725. }
  726. #import li {
  727. margin-bottom: .5em;
  728. }
  729. #import pre {
  730. background: #eee;
  731. overflow: auto;
  732. margin: 0 0 .5em 0;
  733. }
  734. /* drag-n-drop on import button */
  735. .dropzone:after {
  736. background-color: rgba(0, 0, 0, 0.7);
  737. color: white;
  738. left: 0;
  739. top: 0;
  740. right: 0;
  741. bottom: 0;
  742. z-index: 1000;
  743. position: fixed;
  744. padding: calc(50vh - 3em) calc(50vw - 5em);
  745. content: attr(dragndrop-hint);
  746. text-shadow: 1px 1px 10px black;
  747. font-size: xx-large;
  748. text-align: center;
  749. animation: fadein 1s cubic-bezier(.03, .67, .08, .94);
  750. animation-fill-mode: both;
  751. }
  752. .fadeout.dropzone:after {
  753. animation: fadeout .25s ease-in-out;
  754. animation-fill-mode: both;
  755. }
  756. /* post-import report */
  757. #message-box details:not([data-id="invalid"]) div:hover {
  758. background-color: rgba(128, 128, 128, .3);
  759. }
  760. #message-box details:not(:last-child) {
  761. margin-bottom: 1em;
  762. }
  763. #message-box details small div {
  764. margin-left: 1.5em;
  765. }
  766. .update-history-log {
  767. font-size: 11px;
  768. white-space: pre;
  769. overflow-x: hidden;
  770. text-overflow: ellipsis;
  771. }
  772. @keyframes fadein {
  773. from {
  774. opacity: 0;
  775. }
  776. to {
  777. opacity: 1;
  778. }
  779. }
  780. @keyframes fadeout {
  781. from {
  782. opacity: 1;
  783. }
  784. to {
  785. opacity: 0;
  786. }
  787. }
  788. @keyframes fadein-25pct {
  789. from {
  790. opacity: 0;
  791. }
  792. to {
  793. opacity: .25;
  794. }
  795. }
  796. @media (max-width: 675px) {
  797. #installed {
  798. position: static;
  799. padding-left: 0;
  800. overflow: visible;
  801. }
  802. #header p,
  803. #backup {
  804. display: inline-block;
  805. }
  806. #find-editor-styles {
  807. display: inline-block;
  808. }
  809. #backup {
  810. margin-right: 1em;
  811. }
  812. #backup p {
  813. margin: 0;
  814. }
  815. .entry {
  816. margin: 0;
  817. }
  818. }
  819. @media (max-width: 800px) {
  820. body {
  821. flex-direction: column;
  822. }
  823. body.all-styles-hidden-by-filters:before {
  824. content: "\2191"; /* up arrow */
  825. top: calc(50% + 2.75rem);
  826. left: 2rem;
  827. }
  828. body.all-styles-hidden-by-filters:after {
  829. top: calc(50% + 4rem);
  830. left: 3.75rem;
  831. }
  832. #header {
  833. height: auto;
  834. position: static;
  835. width: auto;
  836. border-right: none;
  837. border-bottom: 1px dashed #AAA;
  838. overflow: visible;
  839. -webkit-column-count: 2;
  840. -moz-column-count: 2;
  841. column-count: 2;
  842. }
  843. #installed {
  844. padding-left: 0;
  845. }
  846. #header h1,
  847. #header h2,
  848. #header h3,
  849. #backup-message {
  850. display: none;
  851. }
  852. .newUI .entry {
  853. margin: 0;
  854. }
  855. .newUI .style-name {
  856. width: 50%;
  857. }
  858. .newUI .target {
  859. max-width: calc(50vw - var(--actions-width));
  860. }
  861. }
  862. @media (max-width: 500px) {
  863. #header {
  864. -webkit-column-count: 1;
  865. -moz-column-count: 1;
  866. column-count: 1;
  867. }
  868. .newUI #header > *:not(h1),
  869. .newUI #newUIoptions,
  870. #newUIoptions > * {
  871. display: inline;
  872. }
  873. #header label {
  874. white-space: nowrap;
  875. }
  876. .newUI .style-name {
  877. word-break: break-all;
  878. }
  879. }
  880. @supports (-moz-appearance: none) {
  881. .chromium-only {
  882. display: none;
  883. }
  884. #header .filter-selection label .checkmate {
  885. margin: 0;
  886. }
  887. .filter-selection select {
  888. padding-left: 0;
  889. }
  890. .select-resizer {
  891. left: 16px;
  892. }
  893. #reset-filters {
  894. margin-top: 4px;
  895. }
  896. #filters summary h2 {
  897. margin-left: -2px;
  898. }
  899. }